Skip to main content
GET
Get detailed data for a SaucerSwap V2 pool by id

Authorizations

x-api-key
string
header
required

API key provisioned by the SaucerSwap team. Request one from [email protected] and send it in the x-api-key header with every request.

Headers

x-api-key
string
required

API key for authentication. Request a key from [email protected].

Example:

"YOUR_API_KEY"

Path Parameters

poolId
integer
required

Saucerswap pool id

Example:

1

Response

200 - application/json

Successful response

id
integer
required

Pool id

Example:

1

contractId
string
required

Contract id (shard.realm.num)

Example:

"0.0.3948521"

tokenA
object
required
Example:
tokenB
object
required
Example:
amountA
string
required

Total amount for token A

Example:

"6313040"

amountB
string
required

Total amount for token B

Example:

"6313042"

fee
integer
required

Fee tier in hundredths of a basis point. Divide by 100 for basis points or by 10,000 for percent; for example, 3000 = 30 bps = 0.30%.

Example:

500

sqrtRatioX96
string
required

Encoded square root of price ratio between tokens in the pool as a Q64.96 number

Example:

"79228162514992909706099547250"

tickCurrent
integer
required

Current active tick index, representing a specific price point in the pool

Example:

0

liquidity
string
required

Total liquidity for the pool

Example:

"10878982596"